
Figure - Bug #118891
【BSP】【EVT3】【ST】【eth】设备过压保护后，恢复正常电压开机，出现eth与中控连接失败的情况
2023-06-25 16:07 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-06-25

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0112

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 错过了mcu的linkup消息导致无法初始化phy

Description

前置条件

None

操作步骤：

1.设备烧写0112 user版本

2.与中控正常连接

3.副屏通过稳压电源-触发过压保护关机

4.恢复正常电压开机

预期结果：

设备正常启动

实际结果：

副屏与中控eth连接断开

History

#1 - 2023-06-25 16:08 - 移动测试一组_CDTS 刘强

补充信息：重新断电-上电后恢复正常

补充信息：触发欠压保护后，恢复正常电压上电-不复现问题

补充信息：目前该问题必现

#2 - 2023-06-25 16:16 - 移动测试一组_CDTS 刘强

补充信息：

过压之后等几秒电流降下去关机后再回复正常开机就不会复现，如果过压后马上回复正常就会复现

低压的话，过几秒和马上回复都不会出现

#3 - 2023-06-25 16:21 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD_BSP 彭文亮

#4 - 2023-06-28 14:48 - CD_BSP 彭文亮

结论：   应该是mcu发送的iop_link现象过早，或者是由于操作上引起了内核的启动延迟。phy芯片的初始化 发生在了 phy状态准备好之前。正常的顺序应
该是，phy状态准备好->phy芯片的初始化。@王祥林

01-01 08:00:09.266     0     0 I         : [    6.324645] mv2112_setup_forced

01-01 08:00:09.368     0     0 E [    6.421155] mv2112_read_status: autoneg not complete;time=6420 ms

01-01 08:00:09.822     0     0 E [    6.880107] link_delay_work_func: DTC_ETH: SQI=0, link=0

...

06-25 15:56:24.817     0     0 E [ 2290.400219] link_delay_work_func: DTC_ETH: SQI=0, link=0

#5 - 2023-06-29 15:39 - CD_BSP 彭文亮

正在看能否通过修改phy link的逻辑，来规避此问题。

#6 - 2023-06-30 16:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210928 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wenliang.peng@thundersoft.com

BSP:Ethernet: Optimized the initialization time of phy.Added 2 variables phyisready and phyisnoinit.Add a check of the physiisready variable beforethe

initialization of the phy.TC-RID: 0301-0400601IssueID: TS-R-DF-118891Change-Id: Ic574dd1ea33ac8f2a1f44c2d1a7bf3b92cb5f9ae

#7 - 2023-06-30 16:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211573 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:Ethernet: Optimized the initialization time of phy.Added 2 variables phyisready and phyisnoinit.Add a check of the physiisready variable beforethe

initialization of the phy.TC-RID: 0301-0400601IssueID: TS-R-DF-118891Change-Id: Ic574dd1ea33ac8f2a1f44c2d1a7bf3b92cb5f9ae(cherry picked from commit

00a6fcb7889b9c2caea6b80c1a3298d1665764b8)

#8 - 2023-07-05 19:17 - CD_BSP 彭文亮

- Assignee changed from CD_BSP 彭文亮 to 移动测试一组_CDTS 刘强

请复测，有线网络是否可以延迟连接上了。

#9 - 2023-07-06 16:25 - 移动测试一组_CDTS 刘强
- Assignee changed from 移动测试一组_CDTS 刘强 to CD_BSP 彭文亮

麻烦走下状态

#10 - 2023-08-03 18:12 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 错过了mcu的linkup消息导致无法初始化phy

#11 - 2023-08-03 18:13 - CD TPM-王祥林

- Assignee changed from CD_BSP 彭文亮 to 移动测试一组_CDTS 刘强

#12 - 2023-08-24 17:14 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#13 - 2023-08-24 17:14 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2305070000003671_000076_0625153824.tar.gz2.29 MB 2023-06-25 移动测试一组_CDTS 刘强

1.txt 3.42 MB 2023-06-25 移动测试一组_CDTS 刘强
